import 'package:flutter/material.dart';
import '../utils/validators.dart';

///Class intended to work as a wrapper for a value that is supposed to change.
class Cell {
  //Initial value for the cell.
  String initialValue;

  ///Function that defines whether a value is valid or not.
  bool Function(String value) validator;

  ///Callback function that will be invoked once the edition of the cell is completed.
  void Function() onEditingCompleteCallback;

  TextEditingController textEditingController;

  ///Gets the current value of the cell.
  String getValue() => this.textEditingController.text;

  ///Sets a value for the cell.
  void setValue(String value) => this.textEditingController.text = value;

  Cell({this.initialValue, this.validator}) {
    this.textEditingController = TextEditingController(text: this.initialValue);

    if (this.validator == null) this.validator = Validators.exists;
    if (this.onEditingCompleteCallback == null)
      this.onEditingCompleteCallback = () {};
  }
}
