import 'package:flutter/material.dart';
import 'package:editablegrid/widgets/editable/editable-cell.dart';

///Enumerable of the supported headers.
enum GridHeaders { Columns, Rows, Both }

///Class that cointains the headers definitions for an EditableGrid.
class EditableGridHeaders {
  ///Headers for an EditableGrid.
  GridHeaders specifiedHeaders;

  ///List of the column headers of an EditableGrid.
  List<Widget> columnHeaders;

  ///List of the rows headers of an EditableGrid.
  List<Widget> rowHeaders;

  EditableGridHeaders(
      {this.specifiedHeaders, List<String> cHeaders, List<String> rHeaders}) {
    columnHeaders =
        cHeaders?.map((c) => HeaderWidget(label: c))?.toList() ?? [];
    rowHeaders = rHeaders?.map((r) => HeaderWidget(label: r))?.toList() ?? [];
  }
}
